Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration:

## Public Member Functions
| setConfigResolver (ConfigResolverInterface $configResolver)
| get ($filter)
| all ()

## Private Member Functions
| getVariationFilters ($variationName, array $configuredVariations)
| Returns filters to be used for $variationName. More...
| getVariationPostProcessors ($variationName, array $configuredVariations)
| Returns post processors to be used for $variationName. More...

## Private Attributes
| $configResolver

## Detailed Description

Definition at line 13 of file FilterConfiguration.php.

## Member Function Documentation

## ◆ all()

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::all | ( |  | ) |

Definition at line 44 of file FilterConfiguration.php.

## ◆ get()

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::get | ( |  | $filter | ) |

Definition at line 26 of file FilterConfiguration.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\getVariationFilters(), and eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\getVariationPostProcessors().

## ◆ getVariationFilters()

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::getVariationFilters | ( |  | $variationName,
|  | array | $configuredVariations
| ) |  |
| private

Returns filters to be used for $variationName.

Both variations configured in eZ (SiteAccess context) and LiipImagineBundle are used. eZ variations always have precedence.

Parameters

  string | $variationName |
  array | $configuredVariations | Variations set in eZ.

Exceptions

  InvalidVariationException |

Returns
  array

Definition at line 62 of file FilterConfiguration.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\get().

## ◆ getVariationPostProcessors()

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::getVariationPostProcessors | ( |  | $variationName,
|  | array | $configuredVariations
| ) |  |
| private

Returns post processors to be used for $variationName.

Both variations configured in eZ and LiipImagineBundle are used. eZ variations always have precedence.

Parameters

  string | $variationName |
  array | $configuredVariations | Variations set in eZ.

Returns
  array

Definition at line 90 of file FilterConfiguration.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\get().

## ◆ setConfigResolver()

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::setConfigResolver | ( | ConfigResolverInterface | $configResolver | ) |

Parameters

  ConfigResolverInterface | $configResolver |

Definition at line 21 of file FilterConfiguration.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\$configResolver.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration::$configResolver
| private

Definition at line 16 of file FilterConfiguration.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Filter\FilterConfiguration\setConfigResolver().

The documentation for this class was generated from the following file:

- FilterConfiguration.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.